Bug 867584 - novaclient should require python-keyring
novaclient should require python-keyring
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-novaclient (Show other bugs)
20
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jakub Ruzicka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 15:24 EDT by Mark McLoughlin
Modified: 2014-04-11 09:15 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-novaclient-2.11.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-11 09:15:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2012-10-17 15:24:29 EDT
It looks like if python-keyring is installed, novaclient will cache tokens in the users homedir

This seems like a nice enough feature that we should require python-keyring so this always works
Comment 1 Fedora End Of Life 2013-04-03 12:03:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Admin XMLRPC Client 2014-04-07 07:49:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jakub Ruzicka 2014-04-11 08:59:33 EDT
I'm going to include this dependency in next novaclient builds.
Comment 4 Jakub Ruzicka 2014-04-11 09:15:56 EDT
Actually, python-keyring has been required since python-novaclient-2.11.1-2.

Note You need to log in before you can comment on or make changes to this bug.